<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE Rule PUBLIC "sailpoint.dtd" "sailpoint.dtd">
<Rule language="beanshell" name="BNT-ExternalMailDomain-IdentitySelector" type="IdentitySelector">
  <Description>This rule is used to select an Identity that is related to the given Identity</Description>
  <Signature returnType="boolean">
    <Inputs>
      <Argument name="log" type="org.apache.commons.logging.Log">
        <Description>
          The log object associated with the SailPointContext.
        </Description>
      </Argument>
      <Argument name="context" type="sailpoint.api.SailPointContext">
        <Description>
          A sailpoint.api.SailPointContext object that can be used to query the database if necessary.
        </Description>
      </Argument>
      <Argument name="identity" type="Identity">
        <Description>
          The identity.
        </Description>
      </Argument>
      <Argument name="roleName" type="String">
        <Description>
          The name of the sailpoint.object.Bundle (role) that is being selected for the Identity. 
          If roles are not applicable to this Identity selection, this value will be void.
        </Description>
      </Argument>
    </Inputs>
    <Returns>
      <Argument name="success">
        <Description>
            True if the selection was successful; false otherwise.
        </Description>
      </Argument>
    </Returns>
  </Signature>
  <Source><![CDATA[
  import org.apache.log4j.Logger;
  
  
  Logger logger = Logger.getLogger("biontech.rule.BNT-ExternalMailDomain-IdentitySelector");
  logger.debug("--- ENTRY ---");
  
  String employeeType = identity.getAttribute("employeeType");
  String email = identity.getAttribute("email");

  if (identity.isInactive() || employeeType == null || email == null) {
    return false;
  } else if (employeeType.equalsIgnoreCase("external") || employeeType.equalsIgnoreCase("internal-contractor")) {
    email = email.toUpperCase();

    if (email.endsWith("@BIONTECH.DE") || email.endsWith("@JPT.COM") || email.endsWith("@RESANO.DE") ||
        email.endsWith("@BIONTECH.SE") || email.endsWith("@BIONTECH.CN") || email.endsWith("@BIONTECHTURKEY.COM") ||
        email.endsWith("@BIONTECH.CO.UK") || email.endsWith("@BIONTECH.AT") || email.endsWith("@BIONTECH.RW") ||
        email.endsWith("@EXTERNAL.BIONTECH.DE") || email.endsWith("@EXTERNAL.BIONTECH.US")) {
      return true;
    }
  }
  
  logger.debug("--- EXIT ---");
  return false;
  ]]></Source>
</Rule>